Skip to main content
`Ctrl`+`K`

# PetscViewerMathematicaSkipPackets

Discard packets sent by Mathematica until a certain packet type is received

## Synopsis

    PetscErrorCode PetscViewerMathematicaSkipPackets(PetscViewer viewer, int type)

## Input Parameters

- viewer - The Mathematica viewer

- type - The packet type to search for, e.g RETURNPKT

## See Also

`PetscViewerMathematicaSetName()`, `PetscViewerMathematicaGetVector()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/mathematica/mathematica.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages